<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="css/bootstrap.min.css">
    <link rel="stylesheet" href="css/bootstrap-table.min.css">
    <script src="js/jquery.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/bootstrap-table.min.js"></script>
    <script src="locale/bootstrap-table-th-TH.min.js"></script>
    <style>
        td {
            cursor: pointer;
        }
        .pagination-detail {
            display: none;
        }
    </style>
</head>

<body>
    <nav class="navbar navbar-expand-md navbar-dark bg-dark">
        <a class="navbar-brand" href="#">พี.แอล.เอ. มอเตอร์ไซเคิล</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault" aria-controls="navbarsExampleDefault"
            aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarsExampleDefault">
            <ul class="navbar-nav mr-auto">
            </ul>
            <form class="form-inline my-2 my-lg-0" action="index.html">
                <button class="btn btn-danger my-2 my-sm-0" type="submit">ออกจากระบบ</button>
            </form>
        </div>
    </nav>
    <main class="container" role="main">
        <nav aria-label="breadcrumb" class="mt-3">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="#">หน้าหลัก</a></li>
                <li class="breadcrumb-item"><a href="#">ค้นหา</a></li>
                <li class="breadcrumb-item active" aria-current="page">ผลลัพธ์</li>
            </ol>
        </nav>
        <div class="row">
            <div class="col-md-12 order-md-1">
                <form class="needs-validation" novalidate>
                    <h4 class="mb-3">รายการที่พบ</h4>
                    <div class="table-responsive">
                        <table id="tabresult" class="table-striped">
                            <thead>
                                <tr>
                                    <th data-field="ac" data-sortable="true">AC</th>
                                    <th data-field="name" data-sortable="true">ชื่อ</th>
                                    <th data-field="lastname" data-sortable="true">นามสกุล</th>
                                    <th data-field="checker" data-sortable="true">คนทำสัญญา</th>
                                    <th data-field="status" data-sortable="true" data-formatter="statusFormatter">สถานะ</th>
                                </tr>
                            </thead>
                        </table>
                    </div>
                    <hr class="mb-4">
                    <a class="btn btn-primary btn-lg btn-block mb-3" href="formsearch.html">ย้อนกลับ</a>
                </form>
            </div>
        </div>
    </main>
    <script>
        $(function () {
            $("#tabresult").on("click-row.bs.table", function (editable, columns, row) {
                console.log("columns:", columns.ac);
                window.location = "acinfo.html";
            });

            $('#tabresult').bootstrapTable({
                url: "datatest3.json",
                cache: false,
                pagination: true,
                search: true,
                pageSize: 10, //specify 5 here
            });
        });
        /*function runningFormatter(value, row, index) {
            return index+1;
        }*/
        function statusFormatter(value, row, index) {
            var color = "default";
            if (value.includes("ครบ")) {
                color = "default";
            }
            if (value.includes("ปกติ")) {
                color = "success";
            }
            if (value.includes("จม")) {
                color = "info";
            }
            if (value.includes("ปรับ")) {
                color = "warning";
            }
            if (value.includes("ยึด")) {
                color = "danger";
            }
            return '<center><span class="btn btn-' + color + '">' + value + '</span></center>';
        }
    </script>
</body>

</html>